Projects
Get projects
GET
Get a list of projects (all public projects and private projects the user has access to)
ApiKeyAuthheader
X-Redmine-API-Key<token>include?array<>Fetch associated data
offset?integerOffset of the first item
Format
int64Range
0 <= valueDefault
0limit?integerNumber of items per page
Format
int64Range
1 <= value <= 100Default
100The request has succeeded.
application/json- response
projects*array<>total_count*integerTotal number of items
Format
int64offset*integerOffset of the first item
Format
int64limit*integerLimit of items per page
Format
int64curl -X GET 'https://redmine.example.com/projects.json'{ "projects": [ { "id": 0, "name": "string", "identifier": "string", "description": "string", "homepage": "string", "parent": { "id": 0, "name": "string" }, "status": 1, "is_public": true, "inherit_members": true, "default_version": { "id": 0, "name": "string" }, "default_assignee": { "id": 0, "name": "string" }, "custom_fields": [ { "id": 0, "name": "string", "multiple": true, "value": "string" } ], "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z", "trackers": [ { "id": 0, "name": "string" } ], "issue_categories": [ { "id": 0, "name": "string" } ], "enabled_modules": [ { "id": 0, "name": "string" } ], "time_entry_activities": [ { "id": 0, "name": "string" } ], "issue_custom_fields": [ { "id": 0, "name": "string" } ] } ], "total_count": 0, "offset": 0, "limit": 0}